From: Michael Banck <mbanck@debian.org>
Subject: Fix broken sliders in geometry tab

--- a/src/MyTab.cpp
+++ b/src/MyTab.cpp
@@ -722,6 +722,9 @@
 wxSlider* tmpSlider;
 wxCheckBox* tmpChk;
 wxStaticText* tmpStaticText;
+
+static int SLIDERSIZE=80;
+
 wxSizer *newLabelledSlider( wxWindow* parent, wxWindowID  idSlider,
                          const wxString& labelString, 
                          int pos ,
@@ -730,15 +733,12 @@
   // 
   wxSizer *res = new wxBoxSizer(wxHORIZONTAL);
   label=new wxStaticText(parent, wxID_ANY, labelString);
-  slider=new wxSlider(parent,idSlider, pos, 0, 100, wxDefaultPosition, wxDefaultSize/*,  wxNO_FULL_REPAINT_ON_RESIZE */ );
+  slider=new wxSlider(parent,idSlider, pos, 0, 100, wxDefaultPosition, wxSize(SLIDERSIZE,wxDefaultSize.y),  wxNO_FULL_REPAINT_ON_RESIZE );
   res->Add(label, 0);
   res->Add(slider, 1, wxEXPAND);
   return res;
 }
 
-
-static int SLIDERSIZE=80;
-
 wxSizer *newAutoSlider( wxWindow* parent, wxWindowID  idSlider,
                         const wxString& labelString, 
                         float *pos ,
